For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • GETGet partner settings
      • PATCHUpdate partner settings
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralPartner settings

Get partner settings

GET
/settings
GET
/v1/settings
$curl https://api.sandbox.monite.com/v1/settings \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "api_version": "2024-05-25",
3 "commercial_conditions": [
4 "commercial_conditions"
5 ],
6 "currency": {
7 "default": "AED",
8 "exchange_rates": [
9 {
10 "base": "AED",
11 "rate": 0.98,
12 "to": "AED"
13 }
14 ]
15 },
16 "default_role": {
17 "key": "value"
18 },
19 "mail": {
20 "attach_documents_as_pdf": true,
21 "from_email_username": "from_email_username",
22 "from_name": "from_name"
23 },
24 "payable": {
25 "approve_page_url": "https://monite.com",
26 "allow_cancel_duplicates_automatically": true,
27 "allow_counterpart_autocreation": true,
28 "allow_counterpart_autolinking": true,
29 "default_state": "default_state",
30 "enable_line_items": true,
31 "skip_approval_for_paid_invoice": true
32 },
33 "payments": {
34 "payment_page_domain": "payment_page_domain",
35 "payment_page_theme": {
36 "background_color": "background_color",
37 "border_radius": "border_radius",
38 "button": {
39 "primary_color": "primary_color",
40 "primary_hover_color": "primary_hover_color",
41 "secondary_color": "secondary_color",
42 "secondary_hover_color": "secondary_hover_color"
43 },
44 "card": {
45 "background_color": "background_color"
46 },
47 "font_color": "font_color",
48 "font_family": "font_family",
49 "font_link_href": "font_link_href",
50 "logo_src": "logo_src"
51 },
52 "support_email": "support_email"
53 },
54 "receivable": {
55 "create_without_personal_info": true,
56 "deduction_title": "deduction_title"
57 },
58 "units": [
59 {
60 "designation": "kg",
61 "name": "Kilogram"
62 }
63 ],
64 "website": "website",
65 "accounting": {
66 "provider": "codat",
67 "token": "token"
68 }
69}
Retrieve all settings for this partner.
Was this page helpful?
Previous

Update partner settings

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
api_versionenum
Default API version for partner.
commercial_conditionslist of strings
Commercial conditions for receivables.
currencyobject
Custom currency exchange rates.
default_rolemap from strings to any
A default role to provision upon new entity creation.
mailobject
Settings for email and mailboxes.
payableobject
Settings for the payables module.
paymentsobject
Settings for the payments module.
receivableobject
Settings for the receivables module.
unitslist of objects
Measurement units.
websitestring
accountingobjectDeprecated
Settings for the accounting module.

Errors

400
Get Settings Request Bad Request Error
422
Get Settings Request Unprocessable Entity Error
500
Get Settings Request Internal Server Error